Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.SysQueriesRowOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.SysQueriesRow`, `ClientWireProtocol.SysQueriesRow.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.SysQueriesRowOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getDatabase()` | `string database = 9;`
`com.google.protobuf.ByteString` | `getDatabaseBytes()` | `string database = 9;`
`int` | `getElapsedTimeSec()` | `int32 elapsed_time_sec = 6;`
`int` | `getEstimatedTimeSec()` | `int32 estimated_time_sec = 3;`
`float` | `getImportance()` | `float importance = 2;`
`String` | `getQueryId()` | `string query_id = 1;`
`com.google.protobuf.ByteString` | `getQueryIdBytes()` | `string query_id = 1;`
`String` | `getQueryServer()` | `string query_server = 8;`
`com.google.protobuf.ByteString` | `getQueryServerBytes()` | `string query_server = 8;`
`String` | `getSqlText()` | `string sql_text = 5;`
`com.google.protobuf.ByteString` | `getSqlTextBytes()` | `string sql_text = 5;`
`String` | `getStatus()` | `string status = 7;`
`com.google.protobuf.ByteString` | `getStatusBytes()` | `string status = 7;`
`String` | `getUserid()` | `string userid = 4;`
`com.google.protobuf.ByteString` | `getUseridBytes()` | `string userid = 4;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getQueryId

String getQueryId()
`string query_id = 1;`

### getQueryIdBytes

com.google.protobuf.ByteString getQueryIdBytes()
`string query_id = 1;`

### getImportance

float getImportance()
`float importance = 2;`

### getEstimatedTimeSec

int getEstimatedTimeSec()
`int32 estimated_time_sec = 3;`

### getUserid

String getUserid()
`string userid = 4;`

### getUseridBytes

com.google.protobuf.ByteString getUseridBytes()
`string userid = 4;`

### getSqlText

String getSqlText()
`string sql_text = 5;`

### getSqlTextBytes

com.google.protobuf.ByteString getSqlTextBytes()
`string sql_text = 5;`

### getElapsedTimeSec

int getElapsedTimeSec()
`int32 elapsed_time_sec = 6;`

### getStatus

String getStatus()
`string status = 7;`

### getStatusBytes

com.google.protobuf.ByteString getStatusBytes()
`string status = 7;`

### getQueryServer

String getQueryServer()
`string query_server = 8;`

### getQueryServerBytes

com.google.protobuf.ByteString getQueryServerBytes()
`string query_server = 8;`

### getDatabase

String getDatabase()
`string database = 9;`

### getDatabaseBytes

com.google.protobuf.ByteString getDatabaseBytes()
`string database = 9;`